/*
 * @Author: Kane
 * @Date: 2022-11-24 01:13:55
 * @LastEditors: Kane
 * @LastEditTime: 2022-11-24 09:59:55
 * @FilePath: \hello-router\src\main.js
 * @Description: 
 * 
 * Copyright (c) ${2022} by Kane, All Rights Reserved. 
 */

import { createApp } from "vue";
import { createRouter, createWebHashHistory } from 'vue-router';
import App from "./App.vue";
import demo1 from "./components/功能页面/demo-1.vue";
import demo2 from "./components/功能页面/demo-2.vue";
import rg from "./components/功能页面/路由守卫.vue";

const app = createApp(App);
const routes = [
    { path: "/demo-1", component: demo1 },
    { path: "/demo-2", component: demo2 },
    { path: "/user/:username", component: rg }
];

const router = createRouter({
    history: createWebHashHistory(),
    routes: routes
})

app.use(router);
app.mount("#app");